Package org.spongepowered.asm.util.asm

## Class ClassNodeAdapter

- java.lang.Object
- - org.spongepowered.asm.util.asm.ClassNodeAdapter

-     public final class ClassNodeAdapter
      extends java.lang.Object

  Adapter for ClassNode to access members added after ASM 5

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getNestHostClass​(org.objectweb.asm.tree.ClassNode classNode)` |
    `static java.util.List<java.lang.String>` | `getNestMembers​(org.objectweb.asm.tree.ClassNode classNode)` |
    `static java.util.List<java.lang.String>` | `getNestMembersAsList​(org.objectweb.asm.tree.ClassNode classNode)` |
    `static void` | `setNestHostClass​(org.objectweb.asm.tree.ClassNode classNode, java.lang.String nestHostClass)` |
    `static void` | `setNestMembers​(org.objectweb.asm.tree.ClassNode classNode, java.util.List<java.lang.String> nestMembers)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNestHostClass

          public static java.lang.String getNestHostClass​(org.objectweb.asm.tree.ClassNode classNode)

    - #### setNestHostClass

          public static void setNestHostClass​(org.objectweb.asm.tree.ClassNode classNode,
                                              java.lang.String nestHostClass)

    - #### getNestMembers

          public static java.util.List<java.lang.String> getNestMembers​(org.objectweb.asm.tree.ClassNode classNode)

    - #### getNestMembersAsList

          public static java.util.List<java.lang.String> getNestMembersAsList​(org.objectweb.asm.tree.ClassNode classNode)

    - #### setNestMembers

          public static void setNestMembers​(org.objectweb.asm.tree.ClassNode classNode,
                                            java.util.List<java.lang.String> nestMembers)